Bug 203934 - [UPDATE] net-mgmt/seafile-gui: Update to 5.1.1
Summary: [UPDATE] net-mgmt/seafile-gui: Update to 5.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: easy, patch, patch-ready
Depends on: 203933 204104 205669 208979
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 15:14 UTC by Ultima
Modified: 2016-09-05 16:24 UTC (History)
3 users (show)

See Also:
Ultima1252: maintainer-feedback+


Attachments
seafile-gui.diff (1.54 KB, patch)
2015-10-21 15:14 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
102amd64-poudriere.log (373.80 KB, text/x-log)
2015-10-21 20:23 UTC, Ultima
no flags Details
102i386-poudriere.log (373.57 KB, text/x-log)
2015-10-21 20:23 UTC, Ultima
no flags Details
93amd64-poudriere.log (362.17 KB, text/x-log)
2015-10-21 20:24 UTC, Ultima
no flags Details
93i386-poudriere.log (355.74 KB, text/x-log)
2015-10-21 20:24 UTC, Ultima
no flags Details
seafile-gui.diff (1.54 KB, patch)
2015-11-26 15:06 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-gui.diff (2.74 KB, patch)
2015-12-08 04:40 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-gui.diff (2.78 KB, patch)
2016-01-29 22:15 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-gui.diff (2.78 KB, patch)
2016-02-27 23:55 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-gui.diff (2.78 KB, patch)
2016-03-05 18:51 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-gui.diff (2.76 KB, patch)
2016-04-16 22:54 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-gui.diff (5.16 KB, patch)
2016-05-15 04:14 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2015-10-21 15:14:41 UTC
Created attachment 162297 [details]
seafile-gui.diff

This is primarily an update to the most current version of seafile-gui.

* Updated to 4.4.2
* Added devel to CATEGORIES
* Added LICENSE file
* Added SHEBANGFIX

https://reviews.freebsd.org/D3949
Comment 1 Ultima 2015-10-21 20:23:44 UTC
Created attachment 162324 [details]
102amd64-poudriere.log
Comment 2 Ultima 2015-10-21 20:23:58 UTC
Created attachment 162325 [details]
102i386-poudriere.log
Comment 3 Ultima 2015-10-21 20:24:11 UTC
Created attachment 162326 [details]
93amd64-poudriere.log
Comment 4 Ultima 2015-10-21 20:24:23 UTC
Created attachment 162327 [details]
93i386-poudriere.log
Comment 5 Jason Unovitch freebsd_committer 2015-10-29 03:22:30 UTC
Set maintainer-feedback+ as submitter is now maintainer and this is ready for QA and commit.
Comment 6 Jason Unovitch freebsd_committer 2015-10-30 02:36:47 UTC
Add depends on bug 204104 to have the audit trail on why the maintainer-feedback was reset.

See also: https://lists.FreeBSD.org/pipermail/freebsd-ports/2015-October/100923.html
Comment 7 Ultima 2015-11-26 15:06:46 UTC
Created attachment 163550 [details]
seafile-gui.diff
Comment 8 Ultima 2015-12-08 04:40:06 UTC
Created attachment 163974 [details]
seafile-gui.diff

* Updated to 5.0.0
* Added devel to CATEGORIES
* Added QT4 QT5 and debug options with default QT4

portlint -A:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

false positive

poudriere bulk -t -C:
builds fine in 102amd64, 102i386, 93amd64, 93i386

This patch  needs to be pushed with PR 203929 203930 203933 205122 and 205123
Comment 9 Ultima 2016-01-29 22:15:35 UTC
Created attachment 166283 [details]
seafile-gui.diff

* Updated to 5.0.4

portlint -AC:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.

poudriere bulk -Ct:
102amd64: ok
102i386: ok
93amd64: ok
93i386: ok
Comment 10 Ultima 2016-02-27 23:55:25 UTC
Created attachment 167491 [details]
seafile-gui.diff

 * Updated seafile-gui to 5.0.5

portlint:
net-mgmt/seafile-gui
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy. (False pos)
0 fatal errors and 1 warning found.

poudriere bulk -t -C: 102amd64=ok 102i386=ok 93amd64=ok 93i386=ok

Also updated and tested on 102amd64, program is in working order.
Comment 11 Ultima 2016-03-05 18:51:23 UTC
Created attachment 167743 [details]
seafile-gui.diff

* Update to 5.0.6
Comment 12 Ultima 2016-04-16 22:54:50 UTC
Created attachment 169386 [details]
seafile-gui.diff

* Updated to 5.1.0
Comment 13 Ultima 2016-05-15 04:14:53 UTC
Created attachment 170308 [details]
seafile-gui.diff

 This update removes support for qt4 and now requires qt5.

* Updated to 5.1.1

portlint -AC: WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere bulk -tC:
11amd64: Ok
11i386: Ok
103amd64: Ok
103i386: Ok
93amd63: spdylay requires OpenSSL 1.0.1+
93i386: spdylay requires OpenSSL 1.0.1+
Comment 14 Dmitry Marakasov freebsd_committer 2016-05-24 10:54:41 UTC
Committer timeout
Comment 15 commit-hook freebsd_committer 2016-05-29 13:46:53 UTC
A commit references this bug:

Author: amdmi3
Date: Sun May 29 13:46:33 UTC 2016
New revision: 416103
URL: https://svnweb.freebsd.org/changeset/ports/416103

Log:
  - Update to 5.1.1
  - Multiple port improvements

  PR:		203934
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/net-mgmt/seafile-gui/Makefile
  head/net-mgmt/seafile-gui/distinfo
  head/net-mgmt/seafile-gui/files/patch-CMakeLists.txt
  head/net-mgmt/seafile-gui/pkg-plist